=== modified file 'docs/barriers.rst'
--- docs/barriers.rst	2011-02-08 21:23:00 +0000
+++ docs/barriers.rst	2011-02-23 14:17:23 +0000
@@ -1,15 +1,17 @@
 User Defined Barriers
 =====================
 
-SELECT create_barrier();
-
-SELECT release_barrier();
-
-SELECT wait();
-
-SELECT wait_until();
-
-SELECT signal();
+.. code-block:: mysql
+
+  SELECT create_barrier();
+
+  SELECT release_barrier();
+
+  SELECT wait();
+
+  SELECT wait_until();
+
+  SELECT signal();
 
 A barrier is a synchronization object which can be used to synchronize a group of sessions to a specific rendezvous by calling wait(). When wait() is called, any session of the user may call signal(), allowing all sessions being held by wait() to proceed.
 

=== modified file 'docs/boolean_data_type.rst'
--- docs/boolean_data_type.rst	2011-02-03 00:52:25 +0000
+++ docs/boolean_data_type.rst	2011-02-23 14:17:23 +0000
@@ -4,13 +4,14 @@
 BOOLEAN
 -------
 
-The BOOLEAN type works as a TRUE and FALSE type. 
-
-A value of TRUE can be assigned to a BOOLEAN column by either assigning 1,
-TRUE, "TRUE", "T", or "YES".
-
-A value of FALSE can be assigned to a BOOLEAN column by either assigning 0,
-FALSE, "FALSE", "F", or "NO".
-
-Please note that using BOOL as a data type is different from using BOOLEAN as a type. BOOL creates an INTEGER column. This is
-done in order to keep compatiblity with MySQL.
+The ``BOOLEAN`` type works as a ``TRUE`` and ``FALSE`` type. 
+
+A value of ``TRUE`` can be assigned to a ``BOOLEAN`` column by either assigning
+``1``, ``TRUE``, ``"TRUE"``, ``"T"``, or ``"YES"``.
+
+A value of ``FALSE`` can be assigned to a ``BOOLEAN`` column by either assigning
+``0``, ``FALSE``, ``"FALSE"``, ``"F"``, or ``"NO"``.
+
+Please note that using ``BOOL`` as a data type is different from using
+``BOOLEAN`` as a type. ``BOOL`` creates an ``INTEGER`` column. This is done in
+order to keep compatiblity with MySQL.

=== modified file 'docs/clients/drizzledump.rst'
--- docs/clients/drizzledump.rst	2011-02-23 11:48:37 +0000
+++ docs/clients/drizzledump.rst	2011-02-23 14:17:23 +0000
@@ -33,61 +33,61 @@
 
 .. option:: --all-databases, -A
 
-Dumps all databases found on the server apart from ``information_schema`` and
-``data_dictionary`` in Drizzle and ``information_schema``,
-``performance_schema`` and ``mysql`` in MySQL.
+   Dumps all databases found on the server apart from ``information_schema`` and
+   ``data_dictionary`` in Drizzle and ``information_schema``,
+   ``performance_schema`` and ``mysql`` in MySQL.
 
 .. option:: --force, -f
 
-Continue even if we get an sql-error.
+   Continue even if we get an sql-error.
 
 .. option:: --help, -?
 
-Show a message with all the available options.
+   Show a message with all the available options.
 
 .. option:: --lock-all-tables, -x
 
-Locks all the tables for all databases with a global read lock.  The lock is
-released automatically when :program:`drizzledump` ends.
-Turns on :option:`--single-transaction` and :option:`--lock-tables`.
+   Locks all the tables for all databases with a global read lock.  The lock is
+   released automatically when :program:`drizzledump` ends.
+   Turns on :option:`--single-transaction` and :option:`--lock-tables`.
 
 .. option:: --single-transaction
 
-Creates a consistent snapshot by dumping the tables in a single transaction.
-During the snapshot no other connected client should use any of the
-following as this will implicitly commit the transaction and prevent the
-consistency:
+   Creates a consistent snapshot by dumping the tables in a single transaction.
+   During the snapshot no other connected client should use any of the
+   following as this will implicitly commit the transaction and prevent the
+   consistency:
 
-.. code-block:: mysql
+   .. code-block:: mysql
 
 	ALTER TABLE
 	DROP TABLE
 	RENAME TABLE
 	TRUNCATE TABLE
 
-Only works with InnoDB.
+   Only works with InnoDB.
 
 .. option:: --skip-opt
 
-A shortcut for :option:`--skip-drop-table`, :option:`--skip-create`, 
-:option:`--skip-extended-insert` and :option:`--skip-disable-keys`
+   A shortcut for :option:`--skip-drop-table`, :option:`--skip-create`, 
+   :option:`--skip-extended-insert` and :option:`--skip-disable-keys`
 
 .. option:: --tables t1 t2 ...
 
-Dump a list of tables.
+   Dump a list of tables.
 
 .. option:: --show-progress-size rows (=10000)
 
-Show progress of the dump every *rows* of the dump.  Requires
-:option:`--verbose`
+   Show progress of the dump every *rows* of the dump.  Requires
+   :option:`--verbose`
 
 .. option:: --verbose, -v
 
-Sends various verbose information to stderr as the dump progresses.
+   Sends various verbose information to stderr as the dump progresses.
 
 .. option:: --skip-extended-insert
 
-Dump every row on an individual line.  For example:
+   Dump every row on an individual line.  For example:
 
 .. code-block:: mysql
 
@@ -96,150 +96,150 @@
 
 .. option:: --skip-dump-date
 
-Do not display the date/time at the end of the dump.
+   Do not display the date/time at the end of the dump.
 
 .. option:: --no-defaults
 
-Do not attempt to read configuration from configuration files.
+   Do not attempt to read configuration from configuration files.
 
 .. option:: --add-drop-database
 
-Add ``DROP DATABASE`` statements before ``CREATE DATABASE``.
+   Add ``DROP DATABASE`` statements before ``CREATE DATABASE``.
 
 .. option:: --compact
 
-Gives a more compact output by disabling header/footer comments and enabling
-:option:`--skip-add-drop-table`, :option:`--skip-disable-keys` 
-and :option:`--skip-add-locks`.
+   Gives a more compact output by disabling header/footer comments and enabling
+   :option:`--skip-add-drop-table`, :option:`--skip-disable-keys` 
+   and :option:`--skip-add-locks`.
 
 .. option:: --databases, -B
 
-Dump several databases.  The databases do not need to follow on after this
-option, they can be anywhere in the command line.
+   Dump several databases.  The databases do not need to follow on after this
+   option, they can be anywhere in the command line.
 
 .. option:: --skip-disable-keys, -K
 
-Do not dump the statements ``ALTER TABLE ... DISABLE KEYS`` and
-``ALTER TABLE ... ENABLE KEYS``
+   Do not dump the statements ``ALTER TABLE ... DISABLE KEYS`` and
+   ``ALTER TABLE ... ENABLE KEYS``
 
 .. option:: --ignore-table table
 
-Do not dump specified table, needs to be in the format ``database.table``.
-Can be specified multiple times for multiple tables.
+   Do not dump specified table, needs to be in the format ``database.table``.
+   Can be specified multiple times for multiple tables.
 
 .. option:: --insert-ignore
 
-Add the ``IGNORE`` keyword into every ``INSERT`` statement.
+   Add the ``IGNORE`` keyword into every ``INSERT`` statement.
 
 .. option:: --no-autocommit
 
-Make the dump of each table a single transaction by wrapping it in ``COMMIT``
-statements.
+   Make the dump of each table a single transaction by wrapping it in ``COMMIT``
+   statements.
 
 .. option:: --no-create-db, -n
 
-Do not dump the ``CREATE DATABASE`` statements when using
-:option:`--all-databases` or :option:`--databases`.
+   Do not dump the ``CREATE DATABASE`` statements when using
+   :option:`--all-databases` or :option:`--databases`.
 
 .. option:: --skip-create, -t
 
-Do not dump the ``CREATE TABLE`` statements.
+   Do not dump the ``CREATE TABLE`` statements.
 
 .. option:: --no-data, -d
 
-Do not dump the data itself, used to dump the schemas only.
+   Do not dump the data itself, used to dump the schemas only.
 
 .. option:: --replace
 
-Use ``REPLACE INTO`` statements instead of ``INSERT INTO``
+   Use ``REPLACE INTO`` statements instead of ``INSERT INTO``
 
 .. option:: --destination-type type (=stdout)
 
-Destination of the data.
-
-**stdout**
-The default.  Output to the command line
-
-**database**
-Connect to another database and pipe data to that.
-
-.. versionadded:: 2010-09-27
+   Destination of the data.
+
+   **stdout**
+   The default.  Output to the command line
+
+   **database**
+   Connect to another database and pipe data to that.
+
+   .. versionadded:: Drizzle7 2010-09-27
 
 .. option:: --destination-host hostname (=localhost)
 
-The hostname for the destination database.  Requires
-:option:`--destination-type` `= database`
+   The hostname for the destination database.  Requires
+   :option:`--destination-type` `= database`
 
-.. versionadded:: 2010-09-27
+   .. versionadded:: Drizzle7 2010-09-27
 
 .. option:: --destination-port port (=3306)
 
-The port number for the destination database.  Requires
-:option:`--destination-type` `= database`
+   The port number for the destination database.  Requires
+   :option:`--destination-type` `= database`
 
-.. versionadded:: 2010-09-27
+   .. versionadded:: Drizzle7 2010-09-27
 
 .. option:: --destination-user username
 
-The username for the destinations database.  Requires
-:option:`--destination-type` `= database`
+   The username for the destinations database.  Requires
+   :option:`--destination-type` `= database`
 
-.. versionadded:: 2010-09-27
+   .. versionadded:: Drizzle7 2010-09-27
 
 .. option:: --destination-password password
 
-The password for the destination database.  Requires
-:option:`--destination-type` `= database`
+   The password for the destination database.  Requires
+   :option:`--destination-type` `= database`
 
-.. versionadded:: 2010-09-27
+   .. versionadded:: Drizzle7 2010-09-27
 
 .. option:: --destination-database database
 
-The database for the destination database, for use when only dumping a
-single database.  Requires
-:option:`--destination-type` `= database`
+   The database for the destination database, for use when only dumping a
+   single database.  Requires
+   :option:`--destination-type` `= database`
 
-.. versionadded:: 2010-09-27
+   .. versionadded:: Drizzle7 2010-09-27
 
 .. option:: --my-data-is-mangled
 
-If your data is UTF8 but has been stored in a latin1 table using a latin1
-connection then corruption is likely and drizzledump by default will retrieve
-mangled data.  This is because MySQL will convert the data to UTF8 on the way
-out to drizzledump and you effectively get a double-conversion to UTF8.
-
-This typically happens with PHP apps that do not use ``SET NAMES``.
-
-In these cases setting this option will retrieve the data as you see it in your
-application.
-
-.. versionadded:: 2011-01-31
+   If your data is UTF8 but has been stored in a latin1 table using a latin1
+   connection then corruption is likely and drizzledump by default will retrieve
+   mangled data.  This is because MySQL will convert the data to UTF8 on the way
+   out to drizzledump and you effectively get a double-conversion to UTF8.
+
+   This typically happens with PHP apps that do not use ``SET NAMES``.
+
+   In these cases setting this option will retrieve the data as you see it in
+   your application.
+
+   .. versionadded:: Drizzle7 2011-01-31
 
 .. option:: --host, -h hostname (=localhost)
 
-The hostname of the database server.
+   The hostname of the database server.
 
 .. option:: --user, -u username
 
-The username for the database server.
+   The username for the database server.
 
 .. option:: --password, -P password
 
-The password for the database server.
+   The password for the database server.
 
 .. option:: --port, -p port (=4427)
 
-The port number of the database server.
+   The port number of the database server.
 
 .. option:: --protocol protocol (=mysql)
 
-The protocol to use when connecting to the database server.  Options are:
-
-**mysql**
-The standard MySQL protocol.
-
-**drizzle**
-The Drizzle protocol.
+   The protocol to use when connecting to the database server.  Options are:
+
+   **mysql**
+   The standard MySQL protocol.
+
+   **drizzle**
+   The Drizzle protocol.
 
 Backups using Drizzledump
 -------------------------

=== modified file 'docs/configuration.rst'
--- docs/configuration.rst	2010-09-28 17:34:48 +0000
+++ docs/configuration.rst	2011-02-23 14:17:23 +0000
@@ -42,13 +42,17 @@
 
 Config files support section headers such as `[innodb]` with all options
 occuring subsequently being prefixed by the section header. For instance, if
-one were do give::
+one were do give:
+
+.. code-block:: ini
 
   [innodb]
   buffer_pool_size=10M
   log_file_size=5M
 
-It would be the same as::
+It would be the same as:
+
+.. code-block:: ini
 
   innodb.buffer_pool_size=10M
   innodb.log_file_size

=== modified file 'docs/create_index.rst'
--- docs/create_index.rst	2011-02-23 13:08:09 +0000
+++ docs/create_index.rst	2011-02-23 14:17:23 +0000
@@ -1,7 +1,9 @@
 CREATE INDEX
 ============
 
-CREATE [UNIQUE] INDEX index_name [USING {BTREE | HASH}] ON table_name (column_name [length] [ASC | DESC], ...);
+.. code-block:: mysql
+
+   CREATE [UNIQUE] INDEX index_name [USING {BTREE | HASH}] ON table_name (column_name [length] [ASC | DESC], ...);
 
 An example:
 

=== modified file 'docs/create_schema.rst'
--- docs/create_schema.rst	2010-11-03 03:29:48 +0000
+++ docs/create_schema.rst	2011-02-23 14:17:23 +0000
@@ -1,12 +1,22 @@
 CREATE SCHEMA
 =============
 
-CREATE SCHEMA [IF NOT EXISTS] schema_name
-  [engine_options] ...
-
-engine_options:
+.. code-block:: mysql
+
+   CREATE SCHEMA [IF NOT EXISTS] schema_name
+     [engine_options] ...
+
+engine_options
+--------------
+
+::
+
     engine_option [[,] engine_option] ...
 
-engine_option:
+engine_option
+-------------
+
+::
+
   [DEFAULT] COLLATE = collation_name
   { engine_specific }

=== modified file 'docs/create_table.rst'
--- docs/create_table.rst	2011-02-08 21:23:00 +0000
+++ docs/create_table.rst	2011-02-23 14:17:23 +0000
@@ -3,24 +3,33 @@
 
 A CREATE statement in SQL creates an object inside of Drizzle. One of the most common CREATE commands is the CREATE TABLE command.
 
-CREATE [TEMPORARY] TABLE [IF NOT EXISTS] table_name
-    (create_definition, ...)
-    [engine_options]
-
-    or:
-
-CREATE [TEMPORARY] TABLE [IF NOT EXISTS] table_name
-    [(create_definition, ...)]
-    [engine_options]
-    select_statement
-
-    or:
-
-CREATE [TEMPORARY] TABLE [IF NOT EXISTS] table_name
-    LIKE different_table_name
-    [engine_options]
-
-create_definition: ::
+.. code-block:: mysql
+
+    CREATE [TEMPORARY] TABLE [IF NOT EXISTS] table_name
+      (create_definition, ...)
+      [engine_options]
+
+or:
+
+.. code-block:: mysql
+
+    CREATE [TEMPORARY] TABLE [IF NOT EXISTS] table_name
+      [(create_definition, ...)]
+      [engine_options]
+      select_statement
+
+or:
+
+.. code-block:: mysql
+
+    CREATE [TEMPORARY] TABLE [IF NOT EXISTS] table_name
+      LIKE different_table_name
+      [engine_options]
+
+create_definition
+-----------------
+
+::
 
     column_name column_definition
     [CONSTRAINT [symbol] ] PRIMARY KEY [index_type]
@@ -33,14 +42,18 @@
     reference_definition
     CHECK (expr)
 
-column_definition: ::
+column_definition
+-----------------
+
+::
 
 	data_type [NOT NULL | NULL] [DEFAULT default_value]
     [AUTO_INCREMENT] [UNIQUE [KEY] | [PRIMARY] KEY]
     [COMMENT 'string']
     [reference_definition]
 
-data_type: ::
+data_type
+---------
 
 	* INTEGER
 	* BIGINT
@@ -55,12 +68,18 @@
 	* TEXT [BINARY] [COLLATE collation_name]
 	* ENUM(value1, value2, value3, ...) [COLLATE collation_name]
 
-reference_option:
+reference_option
+----------------
+
   RESTRICT | CASCADE | SET NULL | NO ACTION
 
-engine_options:
+engine_options
+---------------
+
     engine_option [[,] engine_option] ...
 
-engine_option:
+engine_option
+-------------
+
   ENGINE = engine_name
   { engine_specific }

=== modified file 'docs/flush.rst'
--- docs/flush.rst	2011-01-07 03:04:54 +0000
+++ docs/flush.rst	2011-02-23 14:17:23 +0000
@@ -3,10 +3,12 @@
 
 The FLUSH statement clears or reloads different internal caches. One variant acquires a lock.
 
-FLUSH 
-    flush_option [, flush_option] ...
-
-flush_option:
+.. code-block:: mysql
+
+   FLUSH flush_option [, flush_option] ...
+
+flush_option
+------------
 
 * TABLES table_name [, table_name]
 	

=== modified file 'docs/functions/aggregatefunctions.rst'
--- docs/functions/aggregatefunctions.rst	2011-02-22 17:27:48 +0000
+++ docs/functions/aggregatefunctions.rst	2011-02-23 14:17:23 +0000
@@ -135,4 +135,7 @@
 		FROM inventory
 		GROUP BY product_id;
 
-** Question: For MAX(), does Drizzle compare ENUM and SET columns by their string value rather than by the string's relative position in the set? **
+.. note::
+
+   For ``ENUM`` columns :program:`Drizzle` uses the highest and lowest string
+   values for ``MIN`` and ``MAX`` rather than relative position.

=== modified file 'docs/functions/control_flow.rst'
--- docs/functions/control_flow.rst	2011-02-08 02:05:12 +0000
+++ docs/functions/control_flow.rst	2011-02-23 14:17:23 +0000
@@ -8,20 +8,20 @@
 * IFNULL
 * NULLIF
 
-Control flow functions return a value for each row processed, which represents the result of the comparison or condition specified. They can be used in SELECT, WHERE, ORDER BY, and GROUP BY statements.
-
-There are two basic examples of the CASE statment:
-
-1. ::
+Control flow functions return a value for each row processed, which represents the result of the comparison or condition specified. They can be used in ``SELECT``, ``WHERE``, ``ORDER BY``, and ``GROUP BY`` statements.
+
+There are two basic examples of the ``CASE`` statment:
+
+ 1. ::
 
 	CASE value WHEN [compare_value] THEN result [WHEN [compare_value] THEN result ...] [ELSE result] END
 
-In this version, result is returned when value is equal to compare_value. If nothing is matched, the result after ELSE is returned, or NULL is returned if there is no ELSE part.
+In this version, result is returned when value is equal to compare_value. If nothing is matched, the result after ``ELSE`` is returned, or ``NULL`` is returned if there is no ``ELSE`` part.
 
-2. ::
+ 2. ::
 
 	CASE WHEN [condition] THEN result [WHEN [condition] THEN result ...] [ELSE result] END
 
-In this version, if [condition] is true, result is returned. If nothing is matched, the result after ELSE is returned, or NULL is returned if there is no ELSE part.
+In this version, if [condition] is true, result is returned. If nothing is matched, the result after ``ELSE`` is returned, or ``NULL`` is returned if there is no ``ELSE`` part.
 
-When [condition] is for equal comparison (=), this example syntax returns the same result as the first example.
\ No newline at end of file
+When [condition] is for equal comparison (=), this example syntax returns the same result as the first example.

=== modified file 'docs/functions/extract_date_functions.rst'
--- docs/functions/extract_date_functions.rst	2011-02-23 00:00:04 +0000
+++ docs/functions/extract_date_functions.rst	2011-02-23 14:17:23 +0000
@@ -1,7 +1,10 @@
 EXTRACT DATE FUNCTION
 ======================
 
-**Syntax** ::
+Syntax
+------
+
+.. code-block:: mysql
 
 	EXTRACT(field FROM source)
 
@@ -9,11 +12,13 @@
 
 *Field* is an identifier or string that identifies the field to extract from the source value. The extract function returns values of type *double precision*. 
 
-**Examples:**
+Examples
+--------
 
 The following field names are available:
 
-**day**
+day
+^^^
 
 .. code-block:: mysql
 	
@@ -23,7 +28,8 @@
 
 *Result: 16*
 
-**decade**
+decade
+^^^^^^
 
 .. code-block:: mysql
 	
@@ -33,7 +39,8 @@
 
 *Result: 200*
 
-**dow**
+dow
+^^^
 
 .. code-block:: mysql
 	
@@ -43,7 +50,8 @@
 
 *Result: 5*
 
-**doy**
+doy
+^^^
 
 .. code-block:: mysql
 
@@ -53,7 +61,8 @@
 
 *Result: 47*
 
-**hour**
+hour
+^^^^
 
 .. code-block:: mysql
 
@@ -63,7 +72,8 @@
 
 *Result: 20*
 
-**microseconds**
+microseconds
+^^^^^^^^^^^^
 
 .. code-block:: mysql
 
@@ -73,7 +83,8 @@
 
 *Result: 28500000*
 
-**minute**
+minute
+^^^^^^
 
 .. code-block:: mysql
 
@@ -83,7 +94,8 @@
 
 *Result: 38*
 
-**month**
+month
+^^^^^
 
 For timestamp values, the number of the month within the year (1 - 12). 
 For interval values, the number of months (0 - 11).
@@ -106,7 +118,8 @@
 
 *Result: 1*
 
-**quarter**
+quarter
+^^^^^^^
 
 .. code-block:: mysql
 
@@ -116,7 +129,8 @@
 	
 *Result: 4*
 
-**second**
+second
+^^^^^^
 
 .. code-block:: mysql
 
@@ -132,11 +146,13 @@
 
 *Result: 22.5*
 
-**timezone**
+timezone
+^^^^^^^^
 
 The time zone offset from UTC, measured in seconds.
 
-**week**
+week
+^^^^
 
 Returns the week number that a day is in. Weeks are numbered according to ISO 8601:1988.
 
@@ -150,7 +166,8 @@
 
 *Result: 4*
 
-**year**
+year
+^^^^
 
 .. code-block:: mysql
 
@@ -158,6 +175,9 @@
 
 *Result: 2009*
 
+date_part
+^^^^^^^^^
+
 The valid field names for date_part are the same as for extract.
 
 .. code-block:: mysql

=== modified file 'docs/functions/mathematical.rst'
--- docs/functions/mathematical.rst	2011-01-22 20:34:44 +0000
+++ docs/functions/mathematical.rst	2011-02-23 14:17:23 +0000
@@ -1,22 +1,22 @@
 Mathematical Functions and Operators
 ====================================
 
-Mathematical operators are provided for many Drizzle types. ::
+Mathematical operators are provided for many Drizzle types.
 
-	========    ==================   ==========  ======
-	Operator    Description          Example     Result
-	========    ==================   ==========  ======
-	+           addition             2 + 3       5
-	-           subtraction          2 - 3       -1
-	*           multiplication       2 * 3       6
-	/           division             4 / 2       2
-	%           modulo (remainder)   5 % 4       1
-	|/          square root          |/ 25.0     5
-	||/         cube root            ||/ 27.0  3
-	!           factorial            5 !         120
-	!!          factorial            !! 5        120
-	@           absolute value       @ -5.0      5
-	========    ==================   ==========  ======
+========    ==================   ============  ======
+Operator    Description          Example       Result
+========    ==================   ============  ======
+``+``       addition             ``2 + 3``     5
+``-``       subtraction          ``2 - 3``     -1
+``*``       multiplication       ``2 * 3``     6
+``/``       division             ``4 / 2``     2
+``%``       modulo (remainder)   ``5 % 4``     1
+``|/``      square root          ``|/ 25.0``   5
+``||/``     cube root            ``||/ 27.0``  3
+``!``       factorial            ``5 !``       120
+``!!``      factorial            ``!! 5``      120
+``@``       absolute value       ``@ -5.0``    5
+========    ==================   ============  ======
 
 
 

=== modified file 'docs/insert.rst'
--- docs/insert.rst	2011-02-23 13:08:09 +0000
+++ docs/insert.rst	2011-02-23 14:17:23 +0000
@@ -5,8 +5,9 @@
 
 A type query:
 
-INSERT INTO A VALUES ("1");
+.. code-block:: mysql
 
+   INSERT INTO A VALUES ("1");
 
 .. todo::
 
@@ -34,6 +35,7 @@
 
 VALUE is a synonym for VALUES where performing a single or multirow INSERT.
 
-**Performance**:
+Performance
+-----------
 
 A multi-row INSERT involving three rows will require roughly one third of the time required to execute the three single-row statements. This performance improvement can become quite significant over a large number of statements. 

=== modified file 'docs/join.rst'
--- docs/join.rst	2011-02-23 00:00:04 +0000
+++ docs/join.rst	2011-02-23 14:17:23 +0000
@@ -42,7 +42,8 @@
 
 The "userID" column is the primary key in the "Persons" table; in the "Persons" table, it can be used to identify users without using their names. Therefore, the relationship between the two tables above is the "userId" column.
 
-**Different kinds of SQL JOINs**
+Different kinds of SQL JOINs
+----------------------------
 
 Here are the types of JOIN you can use, and the differences between them:
 
@@ -55,10 +56,12 @@
 	**CROSS JOIN:** Return rows when there is a match in one of the tables
 
 
-*Note:** Implicit cartesian products of the form ``SELECT * FROM t1, t2`` without a ``WHERE`` or ``ON`` condition will error. If such behavior is intended please use ``SELECT * FROM t1 CROSS JOIN t2``.
-
-
-**How joins are executed**:
+.. note::
+   Implicit cartesian products of the form ``SELECT * FROM t1, t2`` without a ``WHERE`` or ``ON`` condition will error. If such behavior is intended please use ``SELECT * FROM t1 CROSS JOIN t2``.
+
+
+How joins are executed
+----------------------
 
 In its simplest form, a nested loop join works like this: It compares each row from one table (which can be considered the outer table) to each row from the other table (which can be considered the inner table), looking for rows that satisfy the join predicate. ('Inner table' and 'outer table' simply correlate to the inputs of the join, while 'inner join' and 'outer join' refer to the logical operations.)
 

=== modified file 'docs/locks.rst'
--- docs/locks.rst	2011-02-13 23:52:16 +0000
+++ docs/locks.rst	2011-02-23 14:17:23 +0000
@@ -4,19 +4,21 @@
 A user can create a "lock" which is scoped to their user space. Multiple
 session of the user can see the lock.
 
-SELECT GET_LOCK();
-
-SELECT GET_LOCKS();
-
-SELECT RELEASE_LOCK();
-
-SELECT RELEASE_LOCK();
-
-SELECT RELEASE_LOCKS();
-
-SELECT is_free_lock();
-
-SELECT is_used_lock();
+.. code-block:: mysql
+   
+   SELECT GET_LOCK();
+
+   SELECT GET_LOCKS();
+
+   SELECT RELEASE_LOCK();
+
+   SELECT RELEASE_LOCK();
+
+   SELECT RELEASE_LOCKS();
+
+   SELECT is_free_lock();
+
+   SELECT is_used_lock();
 
 If a session should exit, whatever locks it was holding will be deleted.
 

=== modified file 'docs/numeric_data_types.rst'
--- docs/numeric_data_types.rst	2011-01-14 05:15:23 +0000
+++ docs/numeric_data_types.rst	2011-02-23 14:17:23 +0000
@@ -1,9 +1,11 @@
 Numeric Data Types
 ==================
 
-BIGINT and INTEGER exist as Drizzle's two integer numerical types. BIGINT is a 64-bit integer, while INTEGER is a 32-bit integer.
+``BIGINT`` and ``INTEGER`` exist as Drizzle's two integer numerical types.
+``BIGINT`` is a 64-bit integer, while ``INTEGER`` is a 32-bit integer.
 
-Drizzle does not support TINYINT, SMALLINT or MEDIUMINT. Integer operations have been optimized around 32- and 64-bit integers.
+:program:`Drizzle` does not support ``TINYINT``, ``SMALLINT`` or ``MEDIUMINT``.
+Integer operations have been optimized around 32- and 64-bit integers.
 
 +---------+--------------+---------------------+--------------------------------------------+
 |Name     |Storage Size  |Description          |Range                                       |
@@ -13,6 +15,8 @@
 |bigint	  |8 bytes	 |larger-range integer |-9223372036854775808 to 9223372036854775807 |
 +---------+--------------+---------------------+--------------------------------------------+
 
-AUTO_INCREMENT is supported for INT and BIGINT.
+``AUTO_INCREMENT`` is supported for ``INT`` and ``BIGINT``.
 
-DOUBLE is the system's native double type. DOUBLE represents double-precision floating-point values that require eight bytes each for   storage.
+``DOUBLE`` is the system's native double type. ``DOUBLE`` represents
+double-precision floating-point values that require eight bytes each for 
+storage.

=== modified file 'docs/options.rst'
--- docs/options.rst	2011-02-13 17:00:48 +0000
+++ docs/options.rst	2011-02-23 14:17:23 +0000
@@ -9,311 +9,324 @@
 -------------------
 
 .. option:: --help-extended
-  Display this help and exit after initializing plugins.
-
-.. option:: -?,--help
-  Display this help and exit.
+
+   Display this help and exit after initializing plugins.
+
+.. option:: --help, -?
+
+   Display this help and exit.
 
 .. option:: --no-defaults
-  Configuration file defaults are not used if no-defaults is set
+
+   Configuration file defaults are not used if no-defaults is set
 
 .. option:: --defaults-file arg
-  Configuration file to use
+
+   Configuration file to use
 
 .. option:: --config-dir arg (=/etc/drizzle)
-  Base location for config files
+
+   Base location for config files
 
 .. option:: --plugin-dir arg
-  Directory for plugins
+
+   Directory for plugins
 
 .. option:: --pid-file arg
 
-  Pid file used by drizzled.
+   Pid file used by drizzled.
 
 Plugin Loading Options
 ----------------------
 
 .. option:: --plugin-add arg
-  Optional comma separated list of plugins to load at startup in addition
-  to the default list of plugins.
+
+   Optional comma separated list of plugins to load at startup in addition
+   to the default list of plugins.
   
-  for example: --plugin_add=crc32,console,pbxt
+   For example::
+
+     --plugin_add=crc32,console,pbxt
 
 .. option:: --plugin-remove arg
-  Optional comma separated list of plugins to not load at startup.
-  Effectively removes a plugin from the list of plugins to be loaded.
-
-  for example: --plugin_remove=syslog,md5
-
-.. option:: --plugin-load arg (=version,uuid_function,user_function,transaction_log,syslog,substr_functions,sleep,show_schema_proto,rot13,reverse_function,rand_function,multi_thread,md5,logging_stats,length,hex_functions,hello_world,filtered_replicator,errmsg_stderr,default_replicator,database_function,crc32,connection_id,compression,charlength,benchmark,ascii,)
-
-  Optional comma separated list of plugins to load at starup instead of 
-  the default plugin load list. This completely replaces the whole list.
+
+   Optional comma separated list of plugins to not load at startup.
+   Effectively removes a plugin from the list of plugins to be loaded.
+
+   For example::
+
+     --plugin_remove=syslog,md5
+
+.. option:: --plugin-load arg (=version, uuid_function, user_function, transaction_log, syslog, substr_functions, sleep, show_schema_proto, rot13, reverse_function, rand_function, multi_thread, md5, logging_stats, length, hex_functions, hello_world, filtered_replicator, errmsg_stderr, default_replicator, database_function, crc32, connection_id, compression, charlength, benchmark, ascii)
+
+   Optional comma separated list of plugins to load at starup instead of 
+   the default plugin load list. This completely replaces the whole list.
 
 Kernel Options
 --------------
 
 .. option:: --auto-increment-increment arg (=1)
   
-  Auto-increment columns are incremented by this
+   Auto-increment columns are incremented by this
 
 .. option:: --auto-increment-offset arg (=1)
 
-  Offset added to Auto-increment columns.
-  Used when auto-increment-increment != 1
-
-.. option:: -b,--basedir arg
-
-  Path to installation directory.
-  All paths are usually resolved relative to this.
-
-.. option:: -r,--chroot arg
-
-  Chroot drizzled daemon during startup.
+   Offset added to Auto-increment columns.
+   Used when auto-increment-increment != 1
+
+.. option:: --basedir, -b arg
+
+   Path to installation directory.
+   All paths are usually resolved relative to this.
+
+.. option:: --chroot, -r arg
+
+   Chroot drizzled daemon during startup.
 
 .. option:: --collation-server arg
 
-  Set the default collation.
+   Set the default collation.
 
 .. option:: --completion-type arg (=0)
 
-  Default completion type.
+   Default completion type.
 
 .. option:: --core-file
 
-  Write core on errors.
+   Write core on errors.
 
 .. option:: --datadir arg
 
-  Path to the database root.
+   Path to the database root.
 
 .. option:: --default-storage-engine arg
 
-  Set the default storage engine for tables.
+   Set the default storage engine for tables.
 
 .. option:: --default-time-zone arg
 
-  Set the default time zone.
+   Set the default time zone.
 
 .. We should really remove --exit-info as an option
-.. option:: -T,--exit-info arg
+.. option:: --exit-info, -T arg
 
-  Used for debugging;  Use at your own risk!
+   Used for debugging;  Use at your own risk!
 
 .. option:: --gdb
 
-  Set up signals usable for debugging
+   Set up signals usable for debugging
 
 .. option:: --lc-time-name arg
 
-  Set the language used for the month names and the days of the week.
-
-.. option:: -W [ --log-warnings ] arg
-
-  Log some not critical warnings to the log file.
+   Set the language used for the month names and the days of the week.
+
+.. option:: --log-warnings, -W arg
+
+   Log some not critical warnings to the log file.
 
 .. Why is this a core argument?
 .. option:: --port-open-timeout arg (=0)
 
-  Maximum time in seconds to wait for the port to become free.
-  A value of 0 means not to wait.
+   Maximum time in seconds to wait for the port to become free.
+   A value of 0 means not to wait.
 
 .. option:: --secure-file-priv arg
 
-  Limit LOAD DATA, SELECT ... OUTFILE, and LOAD_FILE() to files within
-  specified directory
+   Limit LOAD DATA, SELECT ... OUTFILE, and LOAD_FILE() to files within
+   specified directory
 
 .. Why is this still here?
 .. option:: --server-id arg (=0)
 
-  Uniquely identifies the server instance in the community of replication
-  partners.
+   Uniquely identifies the server instance in the community of replication
+   partners.
 
 .. option:: --skip-stack-trace
 
-  Don't print a stack trace on failure.
-
-.. option:: -s,--symbolic-links
-
-  Enable symbolic link support.
+   Don't print a stack trace on failure.
+
+.. option:: --symbolic-links, -s
+
+   Enable symbolic link support.
 
 .. option:: --timed-mutexes
 
-  Specify whether to time mutexes (only InnoDB mutexes are currently supported)
-
-.. option::  -t,--tmpdir arg
-
-  Path for temporary files.
+   Specify whether to time mutexes (only InnoDB mutexes are currently supported)
+
+.. option:: --tmpdir, -t arg
+
+   Path for temporary files.
 
 .. option:: --transaction-isolation arg
 
-  Default transaction isolation level.
-
-.. option:: -u,--user arg
-
-  Run drizzled daemon as user.
+   Default transaction isolation level.
+
+.. option:: --user, -u arg
+
+   Run drizzled daemon as user.
   
-.. option:: -V,--version
+.. option:: --version, -V
 
-  Output version information and exit.
+   Output version information and exit.
 
 .. option:: --back-log arg (=50)
 
-  The number of outstanding connection requests Drizzle can have. This comes
-  into play when the main Drizzle thread gets very many connection requests in
-  a very short time.
+   The number of outstanding connection requests Drizzle can have. This comes
+   into play when the main Drizzle thread gets very many connection requests in
+   a very short time.
 
 .. option:: --bulk-insert-buffer-size arg (=8388608)
   
-  Size of tree cache used in bulk insert optimization. Note that this is a limit
-  per thread!
+   Size of tree cache used in bulk insert optimization. Note that this is a
+   limit per thread!
 
 .. option:: --div-precision-increment arg (=4)
   
-  Precision of the result of '/' operator will be increased on that value.
+   Precision of the result of '/' operator will be increased on that value.
 
 .. option:: --group-concat-max-len arg (=1024)
 
-  The maximum length of the result of function  group_concat.
+   The maximum length of the result of function  group_concat.
 
 .. option:: --join-buffer-size arg (=131072)
 
-  The size of the buffer that is used for full joins.
+   The size of the buffer that is used for full joins.
 
 .. option:: --join-buffer-constraint arg (=0)
 
-  A global constraint for join-buffer-size for all clients, cannot be set lower
-  than --join-buffer-size.  Setting to 0 means unlimited.
+   A global constraint for join-buffer-size for all clients, cannot be set lower
+   than --join-buffer-size.  Setting to 0 means unlimited.
 
 .. Why is this a core arg?
 .. option:: --max-allowed-packet arg (=64M)
 
-  Max packetlength to send/receive from to server.
+   Max packetlength to send/receive from to server.
 
 .. option:: --max-connect-errors arg (=10)
 
-  If there is more than this number of interrupted connections from a host 
-  this host will be blocked from further connections.
+   If there is more than this number of interrupted connections from a host 
+   this host will be blocked from further connections.
 
 .. option:: --max-error-count arg (=64)
 
-  Max number of errors/warnings to store for a statement.
+   Max number of errors/warnings to store for a statement.
 
 .. option:: --max-heap-table-size arg (=16M)
 
-  Don't allow creation of heap tables bigger than this.
+   Don't allow creation of heap tables bigger than this.
 
 .. option:: --max-join-size arg (=2147483647)
 
-  Joins that are probably going to read more than max_join_size records return 
-  an error.
+   Joins that are probably going to read more than max_join_size records return 
+   an error.
 
 .. option:: --max-length-for-sort-data arg (=1024)
 
-  Max number of bytes in sorted records.
+   Max number of bytes in sorted records.
   
 .. option:: --max-seeks-for-key arg (=18446744073709551615)
 
-  Limit assumed max number of seeks when looking up rows based on a key
+   Limit assumed max number of seeks when looking up rows based on a key
 
 .. option:: --max-sort-length arg (=1024)
 
-  The number of bytes to use when sorting BLOB or TEXT values (only the first 
-  max_sort_length bytes of each value are used; the rest are ignored).
+   The number of bytes to use when sorting BLOB or TEXT values (only the first 
+   max_sort_length bytes of each value are used; the rest are ignored).
 
 .. option:: --max-write-lock-count arg (=18446744073709551615)
 
-  After this many write locks, allow some read locks to run in between.
+   After this many write locks, allow some read locks to run in between.
 
 .. option:: --min-examined-row-limit arg (=0)
 
-  Don't log queries which examine less than min_examined_row_limit rows to file.
+   Don't log queries which examine less than min_examined_row_limit rows to
+   file.
 
 .. option:: --disable-optimizer-prune
 
-  Do not apply any heuristic(s) during query optimization to prune, thus
-  perform an exhaustive search from the optimizer search space.
+   Do not apply any heuristic(s) during query optimization to prune, thus
+   perform an exhaustive search from the optimizer search space.
 
 .. option:: --optimizer-search-depth arg (=0)
 
-  Maximum depth of search performed by the query optimizer. Values larger than
-  the number of relations in a query result in better query plans, but take
-  longer to compile a query. Smaller values than the number of tables in a
-  relation result in faster optimization, but may produce very bad query plans. 
-  If set to 0, the system will automatically pick a reasonable value; if set to
-  MAX_TABLES+2, the optimizer will switch to the original find_best (used for
-  testing/comparison).
+   Maximum depth of search performed by the query optimizer. Values larger than
+   the number of relations in a query result in better query plans, but take
+   longer to compile a query. Smaller values than the number of tables in a
+   relation result in faster optimization, but may produce very bad query plans. 
+   If set to 0, the system will automatically pick a reasonable value; if set to
+   MAX_TABLES+2, the optimizer will switch to the original find_best (used for
+   testing/comparison).
 
 .. option:: --preload-buffer-size arg (=32768)
 
-  The size of the buffer that is allocated when preloading indexes
+   The size of the buffer that is allocated when preloading indexes
 
 .. option:: --query-alloc-block-size arg (=8192)
 
-  Allocation block size for query parsing and execution
+   Allocation block size for query parsing and execution
 
 .. option:: --query-prealloc-size arg (=8192)
 
-  Persistent buffer for query parsing and execution
+   Persistent buffer for query parsing and execution
 
 .. option:: --range-alloc-block-size arg (=4096)
 
-  Allocation block size for storing ranges during optimization
+   Allocation block size for storing ranges during optimization
 
 .. option:: --read-buffer-size arg (=131072)
 
-  Each thread that does a sequential scan allocates a buffer of this size for
-  each table it scans. If you do many sequential scans, you may want to
-  increase this value.  Note that this only affect MyISAM.
+   Each thread that does a sequential scan allocates a buffer of this size for
+   each table it scans. If you do many sequential scans, you may want to
+   increase this value.  Note that this only affect MyISAM.
 
 .. option:: --read-buffer-constraint arg (=0)
 
-  A global constraint for read-buffer-size for all clients, cannot be set lower
-  than --read-buffer-size.  Setting to 0 means unlimited.
+   A global constraint for read-buffer-size for all clients, cannot be set lower
+   than --read-buffer-size.  Setting to 0 means unlimited.
 
 .. option:: --read-rnd-buffer-size arg (=262144)
 
-  When reading rows in sorted order after a sort, the rows are read through
-  this buffer to avoid a disk seeks. If not set, then it's set to the value of
-  record_buffer.
+   When reading rows in sorted order after a sort, the rows are read through
+   this buffer to avoid a disk seeks. If not set, then it's set to the value of
+   record_buffer.
 
 .. option:: --read-rnd-constraint arg (=0)
 
-  A global constraint for read-rnd-buffer-size for all clients, cannot be set
-  lower than --read-rnd-buffer-size.  Setting to 0 means unlimited.
+   A global constraint for read-rnd-buffer-size for all clients, cannot be set
+   lower than --read-rnd-buffer-size.  Setting to 0 means unlimited.
 
 .. option:: --scheduler arg (=multi-thread)
 
-  Select scheduler to be used.
+   Select scheduler to be used.
 
 .. option:: --sort-buffer-size arg (=2097144)
 
-  Each thread that needs to do a sort allocates a buffer of this size.
+   Each thread that needs to do a sort allocates a buffer of this size.
 
 .. option:: --sort-buffer-constraint arg (=0)
 
-  A global constraint for sort-buffer-size for all clients, cannot be set lower
-  than --sort-buffer-size.  Setting to 0 means unlimited.
+   A global constraint for sort-buffer-size for all clients, cannot be set lower
+   than --sort-buffer-size.  Setting to 0 means unlimited.
 
 .. option:: --table-definition-cache arg (=128)
 
-  The number of cached table definitions.
+   The number of cached table definitions.
 
 .. option:: --table-open-cache arg (=1024)
 
-  The number of cached open tables.
+   The number of cached open tables.
 
 .. option:: --table-lock-wait-timeout arg (=50)
 
-  Timeout in seconds to wait for a table level lock before returning an error.
-  Used only if the connection has active cursors.
+   Timeout in seconds to wait for a table level lock before returning an error.
+   Used only if the connection has active cursors.
 
 .. option:: --thread-stack arg (=0)
 
-  The stack size for each thread. 0 means use OS default.
+   The stack size for each thread. 0 means use OS default.
 
 .. option:: --tmp-table-size arg (=16M)
 
-  If an internal in-memory temporary table exceeds this size, Drizzle will
-  automatically convert it to an on-disk MyISAM table.
+   If an internal in-memory temporary table exceeds this size, Drizzle will
+   automatically convert it to an on-disk MyISAM table.
 

=== modified file 'docs/rename.rst'
--- docs/rename.rst	2011-01-14 05:14:20 +0000
+++ docs/rename.rst	2011-02-23 14:17:23 +0000
@@ -3,4 +3,5 @@
 
 Rename a table, or group of tables.
 
-See :doc:`/alter_table`
+.. seealso::
+   :doc:`/alter_table`

=== modified file 'docs/variables.rst'
--- docs/variables.rst	2011-01-14 05:09:04 +0000
+++ docs/variables.rst	2011-02-23 14:17:23 +0000
@@ -3,7 +3,9 @@
 
 Users can create local variables with the following syntax.
 
-SET @variable = "some string";
+.. code-block:: mysql
+
+   SET @variable = "some string";
 
 Variables are session level only. They can be used in queries. The can be set
 from queries.

